#
# spec file for package xorg-x11-libX11 (Version 7.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-proto-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           xorg-x11-libX11
%define dirsuffix 1.0.3
BuildRequires:  pkgconfig xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-proto-devel xorg-x11-xtrans-devel
Url:            http://xorg.freedesktop.org/
Version:        7.2
Release:        15
License:        X11/MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/Libraries
Provides:       xorg-x11-libs:/usr/X11R6/%{_lib}/libX11.so.6
Summary:        X.Org X11 library
Source:         libX11-%{dirsuffix}.tar.bz2
%if %suse_version <= 1010 
Source1:        xorg-x11-libX11.sh
Source2:        xorg-x11-libX11.csh
%endif
Patch:          bug153744.diff
Patch1:         p_XFree86-4.2.0-i18n-xlib-20020322.diff
Patch2:         p_xlc-locale.diff
Patch3:         p_xlib-threadsafe.diff
Patch4:         p_new-locales.diff
Patch5:         p_xauth.diff
Patch6:         p_sr_CS-compose.diff
Patch7:         p_khmer-compose.diff
Patch8:         p_khmer-locale.diff
Patch9:         p_xlib_skip_ext_env.diff
Patch10:        imLcIm.c.diff
Patch11:        bug-252958_libX11.diff

%description
This package contains the X.Org X11 library.



Authors:
--------
    
    Bob Scheifler
    Bruno Haible
    Hideki Hiura
    Hiroyuki Miyamoto
    Holger Veit
    Jim Gettys
    Katsuhisi Yano
    Kazunori Nishihara
    Keith Packard
    Li Yuhong
    Sebastien Marineau
    Seiji Kuwari
    Shigeru Yamada
    Stephen Gildea
    Takashi Fujiwara
    Warren Turkal

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Provides:       xorg-x11-devel:/usr/X11R6/%{_lib}/libX11.so
Requires:       xorg-x11-proto-devel xorg-x11-xtrans-devel xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-libX11
Autoreqprov:    on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    
    Bob Scheifler
    Bruno Haible
    Hideki Hiura
    Hiroyuki Miyamoto
    Holger Veit
    Jim Gettys
    Katsuhisi Yano
    Kazunori Nishihara
    Keith Packard
    Li Yuhong
    Sebastien Marineau
    Seiji Kuwari
    Shigeru Yamada
    Stephen Gildea
    Takashi Fujiwara
    Warren Turkal

%prep
%setup -n libX11-%{dirsuffix}
# make legal department happy (Bug #153744)
test -f nls/ja.U90/XLC_LOCALE.pre && exit 1
test -f nls/ja.S90/XLC_LOCALE.pre && exit 1
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10 -p1
%patch11 -p0

%build
autoreconf -fi
./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
            --prefix=/usr \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --datadir=/usr/share
# currently broken since xlcUTF-8 plugin is not built
#--enable-loadable-i18n
make %{?jobs:-j %jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%if %suse_version <= 1010
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m 644 $RPM_SOURCE_DIR/%name.{csh,sh} $RPM_BUILD_ROOT/etc/profile.d
%endif
# Some files are empty/missing for some UTF-8 locales
pushd $RPM_BUILD_ROOT/usr/share/X11/locale
for i in *.UTF-8; do
  echo $i
  if [ "$i" != "en_US.UTF-8" ]; then
    touch $i/Compose $i/XI18N_OBJS
    test -s $i/Compose    || cp en_US.UTF-8/Compose    $i
    test -s $i/XI18N_OBJS || cp en_US.UTF-8/XI18N_OBJS $i
    test -s $i/XLC_LOCALE || cp en_US.UTF-8/XLC_LOCALE $i
  fi
done
popd

%clean
rm -rf "$RPM_BUILD_ROOT"

%pre
test -L usr/lib/X11 && rm usr/lib/X11
exit 0

%post -p /sbin/ldconfig

%pre devel
test -L usr/include/X11 && rm usr/include/X11
exit 0

%files
%defattr(-,root,root)
%ifarch ppc64 s390x x86_64
%dir /usr/%{_lib}/X11
%endif
%if %suse_version <= 1010
/etc/profile.d/%name.csh
/etc/profile.d/%name.sh
%endif
/usr/%{_lib}/*.so.*
/usr/%{_lib}/X11/*
/usr/share/X11/

%files devel
%defattr(-,root,root)
/usr/include/X11/*.h
/usr/%{_lib}/*.a
/usr/%{_lib}/*.la
/usr/%{_lib}/*.so
/usr/%{_lib}/pkgconfig/*.pc
%{_mandir}/man3/*

%changelog
* Mon Mar 26 2007 - sndirsch@suse.de
- bug-252958_libX11.diff:
  * Buffer overflow in XGetPixel() (Bug #252958)
* Sat Nov 25 2006 - sndirsch@suse.de
- remove nls/{ja.U90,ja.S90}/XLC_LOCALE.pre from sources; no longer
  mark sources as NoSource in specfile (Bugs #200471, #153744)
* Wed Oct 18 2006 - sndirsch@suse.de
- imLcIm.c.diff:
  * no longer twice-open the compose file in Xinput setup
* Sun Sep 03 2006 - dmueller@suse.de
- build parallel
* Sun Aug 20 2006 - sndirsch@suse.de
- install profile.d files only for SUSE <= 10.1
- Compose and XI18N_OBJS files are missing or empty for some UTF-8
  locales; use the ones for en_US.UTF-8
* Mon Aug 07 2006 - sndirsch@suse.de
- p_khmer-compose.diff:
  * added required compose entries for Khmer (Bug #143348)
- p_khmer-locale.diff:
  * km_KH locale support (Bug #144397)
- p_xlib_skip_ext_env.diff:
  * added support for disabling extensions through environment
  variables (Bug #167317)
* Sat Aug 05 2006 - sndirsch@suse.de
- p_XFree86-4.2.0-i18n-xlib-20020322.diff:
  * gb18030 patches from SUN
- p_new-locales.diff:
  * support for new indic/african locales (Bug #98262)
- p_xauth.diff:
  * Let X authorization be tolerant to hostname changes (Bug #98627)
- p_xlc-locale.diff:
  * fixes strange font mixups, when fontsets are still used (#74299)
- p_xlib-threadsafe.diff:
  * don't have the input filter wrapped by the display lock (Bug #55962)
- p_sr_CS-compose.diff:
  * Serbian specific compose table entries (Bug #95813)
* Wed Aug 02 2006 - sndirsch@suse.de
- fix setup line
* Fri Jul 28 2006 - sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 - sndirsch@suse.de
- use $RPM_OPT_FLAGS
- remove existing /usr/include/X11 symlink in %%pre
* Tue Jul 25 2006 - sndirsch@suse.de
- added profile scripts to set XKEYSYMDB/XNLSPATH accordingly
* Mon Jul 24 2006 - sndirsch@suse.de
- fixed locale support
* Fri Jul 21 2006 - sndirsch@suse.de
- no longer install ja.S90/ja.U90 XLC_LOCALE files; declare libX11
  sources as NoSource to make our legal department happy
  (Bug #153744)
* Thu Jul 20 2006 - sndirsch@suse.de
- removed usr/lib/X11 directory from filelist, since it conflicts
  with filesystem package
* Thu Jul 20 2006 - sndirsch@suse.de
- added /usr/%%{_lib}/X11 to %%files to fix build
* Thu Jun 22 2006 - sndirsch@suse.de
- created package
